>

우분투 16.04를 사용하고 있으며 실행하려면 파이썬으로 다운로드 한 간단한 암호화 스크립트 만 있으면됩니다.

스크립트를 실행하기 위해 pyCharm을 설치했지만 gmpy2에서 해결되지 않은 참조 오류가 발생했습니다

스크립트는 다음 명령을 사용하여 설치 한 gmpy2를 사용하고 있습니다. sudo apt-get install python-gmpy2 .

그리고 다음 명령으로 검색했을 때 분명히 작동했습니다.

pip search gmpy2
gmpy2 (2.0.8)  - GMP/MPIR, MPFR, and MPC interface to Python 2.6+ and 3.x
  INSTALLED: 2.0.7
  LATEST:    2.0.8

PyCharm에서이 줄은 찾을 수 없습니다 :

from gmpy2 import mpz, powmod, invert, is_prime, random_state, mpz_urandomb, rint_round, log2, gcd

주는 오류 : unresolved reference `gmpy2`

  • 답변 # 1

    스크립트에 사용자 정의 Python 환경을 사용하도록 PyCharm을 구성했을 수 있습니다. 프로젝트 설정 (파일-설정-프로젝트-프로젝트 인터프리터)을 확인하고 설치된 패키지에 gmpy2가 나열되어 있는지 확인하십시오. 그렇지 않은 경우 같은 페이지에서 프로젝트 환경에 추가하거나/usr/bin의 기본 인터프리터로 변경할 수 있습니다

관련 자료

  • 이전 자바 스크립트는 어떻게 작동합니까?
  • 다음 ionic4 - Ionic Alpha v4에서 라우팅을 사용하는 단계